X2Go Bug report logs - #1332

version graph

Packages: x2go, client; Maintainer for x2go is (unknown); Maintainer for client is (unknown);

Reported by: Suzan Kowalski <suzankowalski@nanometrics.ca>

Date: Tue, 2 Oct 2018 19:05:02 UTC

Severity: normal

Found in version 4.0.2.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1332; Package x2go client. (Tue, 02 Oct 2018 19:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Suzan Kowalski <suzankowalski@nanometrics.ca>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 02 Oct 2018 19:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Suzan Kowalski <suzankowalski@nanometrics.ca>
To: submit@bugs.x2go.org
Cc: Brian Mitchell <brianmitchell@nanometrics.ca>
Date: Tue, 2 Oct 2018 15:01:26 -0400
Package: X2Go Client
Version: 4.0.2.0

When I connect to an X2Go Server, after entering credentials, it
returns message:

"Connection failed Your home directory path contains non-ASCII characters.
Aborting session startup."

I verified the $HOME path and it does not contain non-ASCII
characters. When I initially installed X2Go server and client a few
weeks ago, I was able to login successfully. Nothing has changed on
this server to account for this new error message.

Best regards,

Suzan Kowalski

-- 
This message is intended exclusively for the individual or entity to which 
it is addressed. This communication may contain information that is 
proprietary, privileged, confidential or otherwise legally exempt from 
disclosure. If you are not the named addressee, or have been inadvertently 
and erroneously referenced in the address line, you are not authorized to 
read, print, retain, copy or disseminate this message or any part of it. If 
you have received this message in error, please notify the sender 
immediately by e-mail and delete all copies of the message.


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1332; Package x2go client. (Wed, 15 Apr 2020 15:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael Büchler <mbuechler.3@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org.

Your message had a Version: pseudo-header with an invalid package version:

4.1.0.3-0~1708~ubuntu18.04.1 am64

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 15 Apr 2020 15:50:02 GMT) (full text, mbox, link).


Message #10 received at 1332@bugs.x2go.org (full text, mbox, reply):

From: Michael Büchler <mbuechler.3@gmail.com>
To: 1332@bugs.x2go.org
Date: Wed, 15 Apr 2020 17:49:35 +0200
Package: X2Go Server
Version: 4.1.0.3-0~1708~ubuntu18.04.1 am64

I had the same issue: this morning I suddenly couldn't connect after a
few weeks of usage.

Turned out my root filesystem was 100% full.

Who did this? X2Go, apparently. This file was 254 GiB in size:
/tmp/.x2go-username/C-username-50-blabla/cmdoutput

First I removed that file, then I found out that there were still
processes with active file descriptors on that (deleted) file. Thus the
filesystem didn't release the space.

These processes can be found by using 
# lsof | grep cmdoutput

To let the filesystem free the space I tried this and it worked:
# ls -l /proc/15644/fd/
# cat /dev/null > /proc/15644/fd/1
where 15644 is the PID of one of these processes and 1 is the fd number
that points to the deleted file.

And when I say "I tried this" then I mean "I googled for some
stackexchange results and applied them", of course.

Maybe this helps someone in a similar situation. Or is it even a bug in
X2Go? Long solved in recent versions that you get on a decent distro?

Regards
Michael


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1332; Package x2go client. (Wed, 09 Jun 2021 04:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jack Lewis <jack.lewis@datainfob2b.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 09 Jun 2021 04:50:01 GMT) (full text, mbox, link).


Message #15 received at 1332@bugs.x2go.org (full text, mbox, reply):

From: Jack Lewis <jack.lewis@datainfob2b.com>
To: "1332@bugs.x2go.org" <1332@bugs.x2go.org>
Subject: GeoConvention 2021 Visitors Info List
Date: Wed, 9 Jun 2021 04:29:39 +0000
[Message part 1 (text/plain, inline)]
Hi,

Good Morning,

I am following up to confirm if you are interested in acquiring the Visitors/Attendees list.

GeoConvention
13 - 15 Sep 2021
Calgary, Canada
Counts: 1500+

Or you want any other visitors/Attendees list and any other Database then mail me back.


We also provide you Previous Events/Years of Visitors/Attendees list.

Let me know if you are interested so that I can provide you the cost and additional details.

Thanks & Regards,
Jack Lewis - Business Analyst

[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 17 19:20:14 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.